/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	教材ログクラス
//			変更履歴
//				2004.01.08	新規作成	五木田泰史
//
package jp.co.ntt.lms.lo.SmartForce;

public class CourseLogRecord
{
	// メンバ変数
	String mstrStudentID;													// 生徒ID
	String mstrCoursesID;													// 教材ID
	String mstrUserID;														// ログイン名
	String mstrCoursesName;													// 教材名
	String mstrCompleteFlag;												// 学習終了フラグ
	String mstrPassFlag;													// 合否フラグ
	String mstrAccessCount;													// アクセス回数
	String mstrTestCount;													// テスト回数
	String mstrAverageScore;												// 平均点
	String mstrHighestScore;												// 最高点
	String mstrUnitCount;													// ユニット数
	
	/**
	 * コンストラクタ
	 **/
	public CourseLogRecord()
	{
		;
	}
	
	/**
	 * 初期化処理
	 **/
	public void initialize()
	{
		mstrStudentID = "";
		mstrCoursesID = "";
		mstrUserID = "";
		mstrCoursesName = "";
		mstrCompleteFlag = "0";
		mstrPassFlag = "0";
		mstrAccessCount = "";
		mstrTestCount = "";
		mstrAverageScore = "0";
		mstrHighestScore = "0";
		mstrUnitCount = "0";
	}
	
	/**
	 * 教材ID設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setCoursesID(String strCourse)
	{
		mstrCoursesID = strCourse;
	}
	
	/**
	 * 教材ID取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getCoursesID()
	{
		return mstrCoursesID;
	}
	
	/**
	 * 生徒ID設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setStudentID(String strStudentID)
	{
		mstrStudentID = strStudentID;
	}
	
	/**
	 * 生徒ID取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getStudentID()
	{
		return mstrStudentID;
	}
	
	/**
	 * 教材名設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setCoursesName(String strCoursesName)
	{
		mstrCoursesName = strCoursesName;
	}
	
	/**
	 * 教材名取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getCoursesName()
	{
		return mstrCoursesName;
	}
	
	/**
	 * ユーザーID設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setUserID(String strUserID)
	{
		mstrUserID = strUserID;
	}
	
	/**
	 * ユーザーID取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getUserID()
	{
		return mstrUserID;
	}
	
	/**
	 * 学習終了フラグ設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setCompleteFlag(String strCompleteFlag)
	{
		mstrCompleteFlag = strCompleteFlag;
	}
	
	/**
	 * 学習終了フラグ取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getCompleteFlag()
	{
		return mstrCompleteFlag;
	}
	
	/**
	 * 合否フラグ設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setPassFlag(String strPassFlag)
	{
		mstrPassFlag = strPassFlag;
	}
	
	/**
	 * 合否フラグ取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getPassFlag()
	{
		return mstrPassFlag;
	}
	
	/**
	 * アクセス回数設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setAccessCount(String strAccessCount)
	{
		mstrAccessCount = strAccessCount;
	}
	
	/**
	 * アクセス回数取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getAccessCount()
	{
		return mstrAccessCount;
	}
	
	/**
	 * テスト回数設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setTestCount(String strTestCount)
	{
		mstrTestCount = strTestCount;
	}
	
	/**
	 * テスト回数取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getTestCount()
	{
		return mstrTestCount;
	}
	
	/**
	 * 平均点設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setAverageScore(String strAverageScore)
	{
		mstrAverageScore = strAverageScore;
	}
	
	/**
	 * 平均点取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getAverageScore()
	{
		return mstrAverageScore;
	}
	
	/**
	 * 最高点設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setHighestScore(String strHighestScore)
	{
		mstrHighestScore = strHighestScore;
	}
	
	/**
	 * 最高点取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getHighestScore()
	{
		return mstrHighestScore;
	}
	
	/**
	 * ユニット数設定
	 *
	 * @param String メンバ変数項目
	 **/
	public void setUnitCount(String strUnitCount)
	{
		mstrUnitCount = strUnitCount;
	}
	
	/**
	 * ユニット数取得
	 *
	 * @return String メンバ変数項目
	 **/
	public String getUnitCount()
	{
		return mstrUnitCount;
	}

}

